classification
Title: Stop using bootstrap_python for deep-freeze in UNIX builds
Type: Stage: resolved
Components: Build Versions: Python 3.11
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, gvanrossum
Priority: normal Keywords: patch

Created on 2021-11-22 18:51 by gvanrossum, last changed 2021-11-23 21:51 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29714 closed gvanrossum, 2021-11-22 20:36
PR 29717 merged gvanrossum, 2021-11-22 23:43
PR 29730 merged christian.heimes, 2021-11-23 17:20
Messages (3)
msg406798 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-11-22 18:51
Now that we've got a way (for Windows) to deep-freeze without building a bootstrap Python binary, we should do the same for UNIX.
msg406857 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-11-23 16:56
New changeset 5be98e57b3c3b36d1a1176b49c73b8822c6380e7 by Guido van Rossum in branch 'main':
bpo-45873: Get rid of bootstrap_python (#29717)
https://github.com/python/cpython/commit/5be98e57b3c3b36d1a1176b49c73b8822c6380e7
msg406884 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-23 20:36
New changeset f840398a5fd8741653c26eb8641c48656c9800d4 by Christian Heimes in branch 'main':
bpo-45873: Restore Python 3.6 compatibility (GH-29730)
https://github.com/python/cpython/commit/f840398a5fd8741653c26eb8641c48656c9800d4
History
Date User Action Args
2021-12-01 16:26:54christian.heimeslinkissue45950 dependencies
2021-11-23 21:51:08gvanrossumsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-11-23 20:36:51christian.heimessetmessages: + msg406884
2021-11-23 17:20:19christian.heimessetnosy: + christian.heimes
pull_requests: + pull_request27967
2021-11-23 16:56:28gvanrossumsetmessages: + msg406857
2021-11-22 23:43:39gvanrossumsetpull_requests: + pull_request27953
2021-11-22 20:36:38gvanrossumsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request27949
2021-11-22 18:51:49gvanrossumcreate